net.sf.jasperreports.engine.export.tabulator

## Class TableCell

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.TableCell

-     public class TableCell
      extends java.lang.Object

  Version:
    $Id: TableCell.java 6066 2013-04-16 08:00:09Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableCell(Tabulator tabulator, TablePosition position, Cell cell, JRPrintElement element, int colSpan, int rowSpan, java.awt.Color backcolor, JRLineBox box)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackcolor()`
    `JRLineBox` | `getBox()`
    `Cell` | `getCell()`
    `int` | `getColumnSpan()`
    `JRPrintElement` | `getElement()`
    `java.lang.String` | `getElementAddress()`
    `TablePosition` | `getPosition()`
    `int` | `getRowSpan()`
    `Tabulator` | `getTabulator()`
    `void` | `setBackcolor(java.awt.Color backcolor)`
    `void` | `setBox(JRLineBox box)`
    `void` | `setColumnSpan(int colSpan)`
    `void` | `setRowSpan(int rowSpan)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableCell

          public TableCell(Tabulator tabulator,
                   TablePosition position,
                   Cell cell,
                   JRPrintElement element,
                   int colSpan,
                   int rowSpan,
                   java.awt.Color backcolor,
                   JRLineBox box)

  - ### Method Detail

    - #### getTabulator

          public Tabulator getTabulator()

    - #### getCell

          public Cell getCell()

    - #### getPosition

          public TablePosition getPosition()

    - #### getElement

          public JRPrintElement getElement()

    - #### getColumnSpan

          public int getColumnSpan()

    - #### setColumnSpan

          public void setColumnSpan(int colSpan)

    - #### getRowSpan

          public int getRowSpan()

    - #### setRowSpan

          public void setRowSpan(int rowSpan)

    - #### getBox

          public JRLineBox getBox()

    - #### setBox

          public void setBox(JRLineBox box)

    - #### getBackcolor

          public java.awt.Color getBackcolor()

    - #### setBackcolor

          public void setBackcolor(java.awt.Color backcolor)

    - #### getElementAddress

          public java.lang.String getElementAddress()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com